#include <stdint.h>
#include <stdio.h>
#include <wiringPi.h>
#include <wiringPiSPI.h>
#include <unistd.h>
#include "DSGatewayLibPi.h"

DSGatewayLib Gateway;

int main(void)
{

	Gateway.begin();

	//Power on
	Gateway.SetPower(1);
	printf("Power On\n");
	sleep(2);

	//Loc Adr.2(MM2) Speed 20/1023
	Gateway.SetLocoSpeed(2, 20);
	printf("Run FWD\n");
	sleep(5);

	//Loc Adr.2(MM2) Stop and Go reverse.
	Gateway.SetLocoSpeed(2, 0);
	sleep(1);
	Gateway.SetLocoDirection(2, 2);
	sleep(1);
	Gateway.SetLocoSpeed(2, 20);
	printf("Run REV\n");
	sleep(5);

	//Loc Adr.2(MM2) Stop
	Gateway.SetLocoSpeed(2, 0);
	sleep(1);
	Gateway.SetLocoDirection(2, 1);
	printf("Stop\n");
	sleep(2);	
	
	//Loc Adr.2(MM2) Function.3 On
	Gateway.SetLocoFunction(2, 3, 1);
	printf("Function on\n");
	sleep(10);
	Gateway.SetLocoFunction(2, 3, 0);
	sleep(2);

	//Power off
	Gateway.SetPower(0);
	printf("Power off\n");

	return 0;
}